#ifndef __BOARD_H
#define __BOARD_H

/* MACROs for SET, RESET or TOGGLE Output port */
#define GPIO_HIGH(a,b)    a->ODR |= b
#define GPIO_LOW(a,b)     a->ODR &= ~b
#define GPIO_TOGGLE(a,b)  a->ODR ^= b

#define BUTTON_NUM        2
#define BUTTON1_PORT      GPIOD
#define BUTTON1_PIN       GPIO_PIN_4
#define BUTTON2_PORT      GPIOA
#define BUTTON2_PIN       GPIO_PIN_3

#define SPI_PORT          GPIOC
#define SPI_SCK           GPIO_PIN_5
#define SPI_MOSI          GPIO_PIN_6
#define SPI_PINS          (SPI_SCK | SPI_MOSI)

#define SPI_LOAD_PORT     GPIOD
#define SPI_LOAD          GPIO_PIN_3

#endif /* __BOARD_H */
